Bug 76830 - (SOUND I810_AUDIO)i810 sound : Primary codec not ready. Problems at modules i810_audio loading
(SOUND I810_AUDIO)i810 sound : Primary codec not ready. Problems at modules i...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
8.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
: 64005 77101 77127 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-10-27 13:57 EST by brigitte
Modified: 2014-01-21 17:48 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:40:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description brigitte 2002-10-27 13:57:49 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20020830

Description of problem:
I can't load the i810_audio module and therefore I can't have sound on my PC.
dmesg writes :
Intel 810 + AC97 Audio, version 0.22, 13:45:06 Sep  4 2002
PCI: Found IRQ 3 for device 00:1f.5
PCI: Sharing IRQ 3 with 00:1f.3
PCI: Setting latency timer of device 00:1f.5 to 64
i810: Intel ICH4 found at IO 0xe080 and 0xe400, IRQ 3
i810_audio: Codec not ready.. wait.. no response.
i810_audio: Audio Controller supports 6 channels.
i810_audio: Defaulting to base 2 channel mode.
i810_audio: Primary codec not ready.

I have this problem with and without ac97.o and ac97_codec.o loaded !

The sound configurator regnonize well my soundcard, but it can't play a sound.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.modprobe i810_audio
2.dmesg

	

Actual Results:  Intel 810 + AC97 Audio, version 0.22, 13:45:06 Sep  4 2002
PCI: Found IRQ 3 for device 00:1f.5
PCI: Sharing IRQ 3 with 00:1f.3
PCI: Setting latency timer of device 00:1f.5 to 64
i810: Intel ICH4 found at IO 0xe080 and 0xe400, IRQ 3
i810_audio: Codec not ready.. wait.. no response.
i810_audio: Audio Controller supports 6 channels.
i810_audio: Defaulting to base 2 channel mode.
i810_audio: Primary codec not ready.

Additional info:
Comment 1 Ulf Axelsson 2002-10-31 01:26:13 EST
I having the exact same problem here, but replacing drivers/sound/i810_audio.c
with the version from the latest 2.4-ac kernel and recompiling made it work.
(At least as far as the sound configurator and menu "noise" anyway)
Comment 2 Doug Ledford 2002-11-08 12:58:02 EST
The 0.24 version of the i810_audio driver solves this problem.  Alan Cox has
that version of the driver, I don't.  My last version was 0.22 unfortunately. 
Arjan, the 0.24 driver is in the ac patches and is queued currently to go in to
Marcello after 2.4.20 final comes out (so it will be in 2.4.21-pre).
Comment 3 Doug Ledford 2002-11-08 12:59:31 EST
*** Bug 77101 has been marked as a duplicate of this bug. ***
Comment 4 Doug Ledford 2002-11-08 13:01:21 EST
*** Bug 77127 has been marked as a duplicate of this bug. ***
Comment 5 Doug Ledford 2002-11-08 13:07:03 EST
*** Bug 64005 has been marked as a duplicate of this bug. ***
Comment 6 Damien Miller 2002-12-17 20:56:54 EST
A workaround which gets me going is to comment out the calls to aumix-minimal in
/etc/modules.conf. You will of course lose your mixer settings upon each reboot
- but the soundcard does work.
Comment 7 Les Blaine 2003-04-18 14:38:48 EDT
What is the status on case number #76830.  
I also run RedHat v8 on an Intel Motherboard with the same integrated audio 
chipset.  

The comment by Mr Ledford indicates the fix will be implemented in a future RH 
v9 (2.4.21) release?
Case #54459 looks similar, status NEW, but has a 2001 post date, no change in 
status.
Comment 8 Alan Cox 2003-06-10 14:01:19 EDT
Should be resolved in the 2.4.20 based errata kernel
Comment 9 Les Blaine 2003-07-20 19:16:01 EDT
Thanks for fixing this problem.  The kernel 2.4.20-18.8 fixed the audio driver
problem for my hardware/software configuration.  H/W Details below:

P4 2.40B Ghz
Intel D845PESV Motherboard, Intel Corp. 82801DB AC'97 Audio
Intel Corp. 82801BD PRO/100 Ethernet
Jatron 3D Force B-32Plus APG Video Card, Nvidia Riva TNT-2/M64
Adaptec AIC-7861
Comment 10 Bugzilla owner 2004-09-30 11:40:08 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.